# Uses of Interface
org.gitana.platform.client.tenant.Tenant

Packages that use Tenant
Package
Description
org.gitana.platform.client
org.gitana.platform.client.billing
org.gitana.platform.client.registrar
org.gitana.platform.client.support
org.gitana.platform.client.tenant

## Uses of Tenant in org.gitana.platform.client

Methods in org.gitana.platform.client with parameters of type Tenant
Modifier and Type
Method
Description
`Platform`
Gitana.`authenticateOnTenant(DomainUser user, String password, Tenant tenant)`
Authenticates the user's identity using a domain user that belongs to a domain on the given tenant.

## Uses of Tenant in org.gitana.platform.client.billing

Methods in org.gitana.platform.client.billing that return Tenant
Modifier and Type
Method
Description
`Tenant`
BillingTransaction.`getTenant()`
`Tenant`
BillingTransactionImpl.`getTenant()`
`protected Tenant`
PaymentMethodImpl.`getTenant()`
Constructors in org.gitana.platform.client.billing with parameters of type Tenant
Modifier
Constructor
Description
``
`BillingTransactionImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)`
``
`PaymentMethodImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)`

## Uses of Tenant in org.gitana.platform.client.registrar

Methods in org.gitana.platform.client.registrar that return Tenant
Modifier and Type
Method
Description
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey)`
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`Tenant`
Registrar.`lookupTenant(DomainPrincipal principal)`
`Tenant`
RegistrarImpl.`lookupTenant(DomainPrincipal principal)`
`Tenant`
Registrar.`readTenant(String tenantId)`
`Tenant`
RegistrarImpl.`readTenant(String tenantId)`
Methods in org.gitana.platform.client.registrar that return types with arguments of type Tenant
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Tenant>`
Registrar.`listTenants()`
`org.gitana.platform.support.ResultMap<Tenant>`
Registrar.`listTenants(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Tenant>`
RegistrarImpl.`listTenants()`
`org.gitana.platform.support.ResultMap<Tenant>`
RegistrarImpl.`listTenants(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Tenant>`
Registrar.`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Tenant>`
Registrar.`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Tenant>`
RegistrarImpl.`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Tenant>`
RegistrarImpl.`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.registrar with parameters of type Tenant
Modifier and Type
Method
Description
`void`
Registrar.`deleteTenant(Tenant tenant)`
`void`
RegistrarImpl.`deleteTenant(Tenant tenant)`
`void`
Registrar.`updateTenant(Tenant tenant)`
`void`
RegistrarImpl.`updateTenant(Tenant tenant)`

## Uses of Tenant in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Tenant
Modifier and Type
Method
Description
`Tenant`
ObjectFactory.`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
ObjectFactory.`tenant(Registrar registrar, Response response)`
`Tenant`
ObjectFactoryImpl.`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
ObjectFactoryImpl.`tenant(Registrar registrar, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Tenant
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Tenant>`
ObjectFactory.`tenants(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Tenant>`
ObjectFactoryImpl.`tenants(Registrar registrar, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Tenant
Modifier and Type
Method
Description
`BillingTransaction`
ObjectFactory.`billingTransaction(Tenant tenant, Response response)`
`BillingTransaction`
ObjectFactoryImpl.`billingTransaction(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
ObjectFactory.`billingTransactions(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
ObjectFactoryImpl.`billingTransactions(Tenant tenant, Response response)`
`PaymentMethod`
ObjectFactory.`paymentMethod(Tenant tenant, Response response)`
`PaymentMethod`
ObjectFactoryImpl.`paymentMethod(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
ObjectFactory.`paymentMethods(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
ObjectFactoryImpl.`paymentMethods(Tenant tenant, Response response)`

## Uses of Tenant in org.gitana.platform.client.tenant

Classes in org.gitana.platform.client.tenant that implement Tenant
Modifier and Type
Class
Description
`class`
`TenantImpl`